'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactComponentButton = require('@ciscospark/react-component-button');

var _reactComponentButton2 = _interopRequireDefault(_reactComponentButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  'control-container': 'control-container--2ODJL',
  'control-item': 'control-item--3Gzjj',
  'button': 'button--146DH'
}; // @related-file ./styles.css

var propTypes = {
  buttons: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    label: _propTypes2.default.string,
    buttonClassName: _propTypes2.default.string,
    iconType: _propTypes2.default.string,
    onClick: _propTypes2.default.func
  })).isRequired,
  showLabels: _propTypes2.default.bool
};

var defaultProps = {
  showLabels: false
};

function ButtonControls(props) {
  var buttons = props.buttons,
      showLabels = props.showLabels;


  var buttonsRendered = buttons.map(function (button, index) {
    var label = showLabels && button.label ? button.label : '';
    var key = label.length ? label : 'button-control-' + index;
    var labelPosition = showLabels ? 'bottom' : '';
    return _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ciscospark-button-control-item', styles.controlItem), key: key },
      _react2.default.createElement(_reactComponentButton2.default, (0, _extends3.default)({}, button, {
        buttonClassName: (0, _classnames2.default)(button.buttonClassName, styles.button),
        label: label,
        labelPosition: labelPosition
      }))
    );
  });

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ciscospark-controls-container', styles.controlContainer) },
    buttonsRendered
  );
}

ButtonControls.propTypes = propTypes;
ButtonControls.defaultProps = defaultProps;

exports.default = ButtonControls;